POST api/CareOnsiteClinic/PostOnSitePhysicianList
Request Information
URI Parameters
None.
Body Parameters
Collection of OnSiteLocationProviderDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ProviderId | integer |
None. |
|
| PhysicianName | string |
None. |
|
| CareOnSiteLocationId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| Sequence | integer |
None. |
|
| IsAuthorizedToSignDocument | boolean |
None. |
|
| PermissionStatus | boolean |
None. |
|
| IsPeerToPeer | boolean |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"Id": 1,
"ProviderId": 2,
"PhysicianName": "sample string 3",
"CareOnSiteLocationId": 4,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:32:15.7562523-07:00",
"DateUpdated": "2026-08-04T14:32:15.7562523-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"Sequence": 1,
"IsAuthorizedToSignDocument": true,
"PermissionStatus": true,
"IsPeerToPeer": true
},
{
"Id": 1,
"ProviderId": 2,
"PhysicianName": "sample string 3",
"CareOnSiteLocationId": 4,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:32:15.7562523-07:00",
"DateUpdated": "2026-08-04T14:32:15.7562523-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"Sequence": 1,
"IsAuthorizedToSignDocument": true,
"PermissionStatus": true,
"IsPeerToPeer": true
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfOnSiteLocationProviderDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of OnSiteLocationProviderDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"ProviderId": 2,
"PhysicianName": "sample string 3",
"CareOnSiteLocationId": 4,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:32:15.7562523-07:00",
"DateUpdated": "2026-08-04T14:32:15.7562523-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"Sequence": 1,
"IsAuthorizedToSignDocument": true,
"PermissionStatus": true,
"IsPeerToPeer": true
},
{
"Id": 1,
"ProviderId": 2,
"PhysicianName": "sample string 3",
"CareOnSiteLocationId": 4,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:32:15.7562523-07:00",
"DateUpdated": "2026-08-04T14:32:15.7562523-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"Sequence": 1,
"IsAuthorizedToSignDocument": true,
"PermissionStatus": true,
"IsPeerToPeer": true
}
],
"totalCount": 3
}